Support » Plugin: WP Coda Slider » [Plugin: WP Coda Slider] Using with HTTPS and SSL

  • Resolved monkeystyping

    (@monkeystyping)


    This plugin is not coded correctly for use with a HTTPS / SSL secure site. Uses an old convention or PHP variable to get to the plugins directory, and that old method only makes use of http: instead of https:

    The fix — add this code to your “functions.php” file:


    remove_action ('init', 'c3m_coda_scripts');
    add_action ('init', 'c3m_coda_scripts_https_aware');

    function c3m_coda_scripts_https_aware() {
    wp_enqueue_script('coda_slider', plugins_url() . '/wp-coda-slider/js/coda.slider.js', array( 'jquery' ));
    wp_enqueue_style('coda_slider_css', plugins_url() . '/wp-coda-slider/css/coda-slider-2.0.1.css');
    wp_localize_script( 'coda_slider', 'Plugin_Url', array( 'plugin_url' => plugins_url() ) );
    }

    And that should fix it.

    http://wordpress.org/extend/plugins/wp-coda-slider/

Viewing 1 replies (of 1 total)
Viewing 1 replies (of 1 total)
  • The topic ‘[Plugin: WP Coda Slider] Using with HTTPS and SSL’ is closed to new replies.